-- Install lazy.nvim
local lazypath = vim.fn.stdpath("data") .. "/lazy/lazy.nvim"
if not vim.loop.fs_stat(lazypath) then
  vim.fn.system({
    "git",
    "clone",
    "--filter=blob:none",
    "--branch=stable",
    "https://github.com/folke/lazy.nvim.git",
    lazypath,
  })
end

vim.opt.rtp:prepend(lazypath)

require("lazy").setup({
  -- Import the plugins from the "plugins/" directory
  spec = { import = "plugins" },

  install = { colorscheme = { "catppuccin-mocha" } },

  -- Don't notify every time a plugin file changes
  change_detection = { notify = false },

  -- Check for plugins update
  checker = { enabled = true },
})
